Get Point Cloud links Origin and Rotations in Revit

Hi, I need to find the origin and rotations of a point cloud link (.rcp) which has been inserted origin-to-origin but has been moved and rotated. I want to know what is the x,y,z displacement and rotation between the moved .rcp origin and the revit project origin.

I know this is an old topic but I am having the same problem as him, please help.
Can Get point cloud With Scrips
import clr
clr.AddReference(‚ÄúRevitAPI‚ÄĚ)
import Autodesk
from Autodesk.Revit.DB import *

clr.AddReference(‚ÄúRevitNodes‚ÄĚ)
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

clr.AddReference(‚ÄúRevitServices‚ÄĚ)
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument
ref = Autodesk.Revit.DB.Reference
pCloud = UnwrapElement(IN[0])
scans = pCloud.GetScans()

for s in scans:
coords = pCloud.GetScanOrigin(s)

OUT = scans, coords

Hi @chuongpqvn

See here :slight_smile:

1 Like

How to get rotate value pointcloud ? I did not find in your package.

Use the Vectors from the node and compare them with the associated Vectors from the Projects coordinate system. Below is an example:

2 Likes